Update Nameservers
Update the nameservers for a domain.
Request
PUT /api/v1/domains/{id}/nameservers
Required scope: domains:manage
Path Parameters
| Parameter |
Type |
Description |
id |
string |
The domain ID |
Headers
| Header |
Required |
Value |
Authorization |
Yes |
Bearer YOUR_API_KEY |
Content-Type |
Yes |
application/json |
Request Body
| Field |
Type |
Required |
Description |
ns1 |
string |
Yes |
Primary nameserver |
ns2 |
string |
Yes |
Secondary nameserver |
ns3 |
string |
No |
Third nameserver |
ns4 |
string |
No |
Fourth nameserver |
ns5 |
string |
No |
Fifth nameserver |
Response
{
"data": {
"ns1": "ns1.example.com",
"ns2": "ns2.example.com",
"ns3": null,
"ns4": null,
"ns5": null
}
}
Response Fields
| Field |
Type |
Description |
data.ns1 |
string |
Primary nameserver |
data.ns2 |
string |
Secondary nameserver |
data.ns3 |
string | null |
Third nameserver |
data.ns4 |
string | null |
Fourth nameserver |
data.ns5 |
string | null |
Fifth nameserver |
Errors
| Status |
Code |
Description |
| 400 |
INVALID_NS |
One or more nameserver values are not valid |
| 404 |
NOT_FOUND |
The domain was not found |
| 502 |
PROVIDER_ERROR |
The domain provider returned an error |
Example
curl -X PUT https://site.quest/api/v1/domains/a1b2c3d4e5f6a1b2c3d4e5f6/nameservers \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"ns1": "ns1.example.com",
"ns2": "ns2.example.com"
}'
MCP
This action is also available via the set_nameservers MCP tool.